# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXClassWrapper_Actor Struct Reference

VLX wrapper of vl::Actor. More...

`#include <VLXWrappers.hpp>`

Inheritance diagram for vl::VLXClassWrapper_Actor:

List of all members.

## Public Member Functions

void | importActor (VLXSerializer &s, const VLXStructure *vlx, Actor *obj)
virtual ref< Object > | importVLX (VLXSerializer &s, const VLXStructure *vlx)
void | exportActor (VLXSerializer &s, const Actor *obj, VLXStructure *vlx)
virtual ref< VLXStructure > | exportVLX (VLXSerializer &s, const Object *obj)

## Detailed Description

VLX wrapper of vl::Actor.

Definition at line 1997 of file VLXWrappers.hpp.

## Member Function Documentation

void vl::VLXClassWrapper_Actor::importActor | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx,
|  | Actor * | obj
| ) |  | `[inline]`

Definition at line 1999 of file VLXWrappers.hpp.

References vl::Actor::actorEventCallbacks(), vl::VLXValue::Bool, vl::VLXSerializer::canImport(), vl::VLXValue::getBool(), vl::VLXValue::getInteger(), vl::VLXValue::getList(), vl::VLXValue::getString(), vl::VLXValue::getStructure(), vl::VLXStructure::getValue(), vl::VLXSerializer::importVLX(), vl::VLXValue::Integer, vl::VLXValue::List, NULL, vl::Collection< T >::push_back(), vl::Actor::setEffect(), vl::Actor::setEnableMask(), vl::Actor::setLod(), vl::Actor::setLODEvaluator(), vl::Object::setObjectName(), vl::Actor::setOccludee(), vl::Actor::setRenderBlock(), vl::Actor::setRenderRank(), vl::Actor::setTransform(), vl::Actor::setUniform(), vl::VLXValue::Structure, vl::VLXValue::type(), vl::VLXStructure::value(), and VLX_IMPORT_CHECK_RETURN.

Referenced by importVLX().

virtual ref<Object> vl::VLXClassWrapper_Actor::importVLX | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 2110 of file VLXWrappers.hpp.

References vl::ref< T >::get(), importActor(), and vl::VLXSerializer::registerImportedStructure().

void vl::VLXClassWrapper_Actor::exportActor | ( | VLXSerializer & | s,
|  | const Actor * | obj,
|  | VLXStructure * | vlx
| ) |  | `[inline]`

Definition at line 2119 of file VLXWrappers.hpp.

References vl::Actor::actorEventCallbacks(), vl::Collection< T >::at(), vl::Actor::effect(), vl::Actor::enableMask(), vl::VLXSerializer::exportVLX(), vl::VLXValue::getList(), vl::Actor::getUniformSet(), vl::Actor::isOccludee(), vl::Actor::lod(), vl::Actor::lodEvaluator(), vl::Object::objectName(), vl::Actor::renderBlock(), vl::Actor::renderRank(), vl::VLXValue::setList(), vl::Collection< T >::size(), vl::Actor::transform(), vl::Actor::uniforms(), VL_MAX_ACTOR_LOD, and vl::vlx_String().

Referenced by exportVLX().

virtual ref<VLXStructure> vl::VLXClassWrapper_Actor::exportVLX | ( | VLXSerializer & | s,
|  | const Object * | obj
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 2162 of file VLXWrappers.hpp.

References vl::Object::as(), exportActor(), vl::VLXSerializer::generateID(), vl::VLXSerializer::registerExportedObject(), VL_CHECK, and vl::vlx_makeTag().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/VLXWrappers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:57.
Permission is granted to use this page to write and publish articles regarding Visualization Library.